/*        Style Sheet for Mark's Pages         */
/*   Addition setting used by feedback forms   */
/*        https://www.markhennessy.co.uk/      */
/*         Copyright 2025 Mark Hennessy        */



/*===============STYLE FORM ELEMENTS===============*/

#content form {
}
#content .textinput label {
  font-size: 14px;
  font-weight: bold;
  float: left;
  width: var(--form-label-width);
  margin-top: 7px;
}
#content input[type="text"], #content textarea {
  border: 1px solid #ddd;
  padding: 10px;
  margin: 0;
  clear: right;
  margin-bottom: 0px;
  color: #333;
  font-size: 14px;
  font-family: Arial, Helvetica, sans-serif;
  border-radius: 3px;
  width: calc(var(--column1-width) - var(--form-label-width) - 22px) /* 10px padding plus border */
}
#content input[type="text"] {
}
#content textarea {
}
#content textarea:focus, #content input:focus {
  border: 1px solid #777;
}
#content .optout {
  font-size: 14px;
  line-height: 23px;
  text-align: justify;
  margin-bottom: 25px;
  margin-right: 7px; /* bodge again */
}
#content .human {
  font-size: 14px;
}
#content .form_validation {
  text-align: right;
  margin-bottom: 7px;
  margin-right: 0;
  font-size: 11px;
}

/* Optional ratings */
#content .col3 {
  width: calc((var(--column1-width) - 85px) / 3);
  background-color: #f0f0f0;
  border: 1px solid #ccc;
  border-radius: 3px;
  float: left;
  margin: 10px 0 15px 10px;
  padding: 0 10px;
}
#content .col3:first-child {
  margin-left: 0;
}
#content .col3:hover {
  background-color: #f5f5f5;
}
#content .col3 h4 {
  font-weight: bold;
  margin-top: 5px;
}
#content .col3 p {
  font-size: 12px;
  line-height: 15px;
  margin-bottom: 10px;
  text-align: left;
}
#content .col3 ul {
  list-style-type: none;
  margin-bottom: 10px;
  font-size: 12px;
}
#content .col3 input[type="radio"] {
  margin: 3px 3px 3px -20px;
}
#content .col3 label {
  font-size: 11px;
}
